<?php
/**
 * Block Patterns
 *
 * @package yoga_master
 * @since 1.0
 */

function yoga_master_register_block_patterns() {
	$yoga_master_block_pattern_categories = array(
		'yoga-master' => array( 'label' => esc_html__( 'Yoga Master', 'yoga-master' ) ),
		'pages' => array( 'label' => esc_html__( 'Pages', 'yoga-master' ) ),
	);

	$yoga_master_block_pattern_categories = apply_filters( 'yoga_master_yoga_master_block_pattern_categories', $yoga_master_block_pattern_categories );

	foreach ( $yoga_master_block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'yoga_master_register_block_patterns', 9 );